Obtener una invitación
curl --request GET \
--url https://workspace.basaltic.sh/v1/invitations/{invitation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://workspace.basaltic.sh/v1/invitations/{invitation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://workspace.basaltic.sh/v1/invitations/{invitation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invitation": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "jane.doe@example.com",
"groups": [
{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"name": "developers"
}
],
"invited_by": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"email": "john.doe@acme.com",
"type": "user",
"crn": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "pending",
"expires_at": "2026-01-22T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"crn": "crn:workspace:::invitation/550e8400-e29b-41d4-a716-446655440002"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Invitaciones
Obtener una invitación
Obtener detalles de una invitación específica
GET
/
v1
/
invitations
/
{invitation_id}
Obtener una invitación
Requiere la acción de IAM
workspace:GetInvitation. Consulte permisos de Workspace para obtener la lista completa, lo que cubre cada una y un ejemplo de política.Authorizations
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Path Parameters
ID de invitación
Response
Detalles de la invitación
Show child attributes
Show child attributes

